Post Reply 

extra plug-ins not on latest 2.7.4?

Feb 6, 2012, 02:22 (This post was last modified: Feb 6, 2012 02:28 by olwe.)
Post: #1
extra plug-ins not on latest 2.7.4?
I used to have 2.6 on another computer (U10.04) and the filter and script-fu menu items were loaded (orton effect, lomography, national geographic, etc.). On this new machine (U11.10) I get the 2.7.4 -- and it's bare-bones, similar to the Windows version. Did I do something wrong? If not, how can I get all those extra filters and script-fus that I used to have?

I'm guessing that if I previously installed from the Ubuntu Software Center, I probably checked all the "Add-ons" (can't remember). This time I installed from the command line (add-apt-repository ppa:matthaeus123/mrw-gimp-svn . . . etc.)
Find all posts by this user
Quote this message in a reply
Feb 6, 2012, 12:28
Post: #2
RE: extra plug-ins not on latest 2.7.4?
@ olwe

Ubuntu being based on debian probably grabs the source code straight from there.

Which version U11 uses - I don't know, but would not be surprised if it came from testing rather than volatile or stable.

You can get cutting-edge deb from here (gimp-plugin-registry_3.5.4-1+b1...deb)
http://packages.debian.org/sid/gimp-plugin-registry

some details of contents are listed there, also in the package are the 160-ish FXfoundry scripts + half a dozen python plugins which include the orton / nat geog etc scripts.

You could just download/install this but a better way is to unpack the deb and put the files in your local ~/.gimp-2.7 file system.

I generally steer clear of Ubuntu & gnome, but I do have a Gimp 2.7.4 in a PClinuxOS installation. Alas, most of these scripts/plugins still come up with a "deprecated command" error. Not impossible to correct these yourself, I did the shape-paths script recently for use in a project.

Another possibility is Paul Sherman who has many of the scripts converted see
http://www.gimphelp.org/script28.shtml
the orton one is there, caveate - not tried these yet

** https://www.gimp-forum.net/ now answering questions**
Find all posts by this user
Quote this message in a reply
Feb 6, 2012, 16:01
Post: #3
RE: extra plug-ins not on latest 2.7.4?
Hope that is the case.

Certainly the FXfoundry scripts generally produce a result, right, wrong or indifferent.
The one I referred to was the "shape-paths" script where an extra parameter has been included in the new function. Definitely not working unless the script is adjusted.

some screenshots http://i.imgur.com/NaWJC.jpg

** https://www.gimp-forum.net/ now answering questions**
Find all posts by this user
Quote this message in a reply
Post Reply 


Possibly Related Threads...
Thread: Author Replies: Views: Last Post
  how do I use this plug in?? moltres_rider 1 297 Jan 25, 2014 20:27
Last Post: paynekj
  shut down computer while Gimp is open - loses font cache, plug-ins, everything moltres_rider 1 601 Nov 3, 2013 15:33
Last Post: moltres_rider
  Plug-ins not working. caz 4 636 May 1, 2013 17:58
Last Post: caz
  issue with gimp, querying new plug-in (every start-up) moltres_rider 3 1,350 Nov 5, 2012 07:57
Last Post: paynekj
  Latest stable gimp (2.8) has MAJOR flaw! Videogamer555 1 767 Jul 10, 2012 22:18
Last Post: paynekj

Forum Jump:


GIMP ForumPortalArchiveContactTermsRSS